Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Class ColorMatrixRable8Bit

    java.lang.Object
      org.apache.batik.ext.awt.image.renderable.AbstractRable
          org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
              org.apache.batik.ext.awt.image.renderable.ColorMatrixRable8Bit

All Implemented Interfaces:
  RenderableImage, ColorMatrixRable, Filter, FilterColorInterpolation

    public class ColorMatrixRable8Bit

extends AbstractColorInterpolationRable
implements ColorMatrixRable

Implements the interface expected from a color matrix operation

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`csLinear`

Fields inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`props, srcs, stamp`

Fields inherited from interface org.apache.batik.ext.awt.image.renderable.ColorMatrixRable
`TYPE_HUE_ROTATE, TYPE_LUMINANCE_TO_ALPHA, TYPE_MATRIX, TYPE_SATURATE`

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`static ColorMatrixRable` | `buildHueRotate(float a)` Builds a TYPE_HUE_ROTATE instance.
`static ColorMatrixRable` | `buildLuminanceToAlpha()` Builds a TYPE_LUMINANCE_TO_ALPHA instance
`static ColorMatrixRable` | `buildMatrix(float[][] matrix)` Builds a TYPE_MATRIX instance
`static ColorMatrixRable` | `buildSaturate(float s)` Builds a TYPE_SATURATE instance
`RenderedImage` | `createRendering(RenderContext rc)`
`float[][]` | `getMatrix()` Returns the rows of the color matrix.
`Filter` | `getSource()` Returns the source of the blur operation
`int` | `getType()` Returns the type of this color matrix.
`void` | `setSource(Filter src)` Sets the source of the blur operation

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractColorInterpolationRable
`convertSourceCS, convertSourceCS, getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from class org.apache.batik.ext.awt.image.renderable.AbstractRable
`createDefaultRendering, createScaledRendering, getBounds2D, getDependencyRegion, getDirtyRegion, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getTimeStamp, getWidth, init, init, init, init, isDynamic, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### setSource

    public void setSource(Filter src)

  Sets the source of the blur operation

  Specified by:
    `setSource` in interface `ColorMatrixRable`
  Parameters:
    `src` - image to offset.

### getSource

    public Filter getSource()

  Returns the source of the blur operation

  Specified by:
    `getSource` in interface `ColorMatrixRable`

### getType

    public int getType()

  Returns the type of this color matrix.

  Specified by:
    `getType` in interface `ColorMatrixRable`
  Returns:
    one of TYPE_MATRIX, TYPE_SATURATE, TYPE_HUE_ROTATE, TYPE_LUMINANCE_TO_ALPHA

### getMatrix

    public float[][] getMatrix()

  Returns the rows of the color matrix. This uses the same convention as BandCombineOp.

  Specified by:
    `getMatrix` in interface `ColorMatrixRable`

### buildMatrix

    public static ColorMatrixRable buildMatrix(float[][] matrix)

  Builds a TYPE_MATRIX instance

### buildSaturate

    public static ColorMatrixRable buildSaturate(float s)

  Builds a TYPE_SATURATE instance

### buildHueRotate

    public static ColorMatrixRable buildHueRotate(float a)

  Builds a TYPE_HUE_ROTATE instance.

  Parameters:
    `a` - angle, in radian

### buildLuminanceToAlpha

    public static ColorMatrixRable buildLuminanceToAlpha()

  Builds a TYPE_LUMINANCE_TO_ALPHA instance

### createRendering

    public RenderedImage createRendering(RenderContext rc)

  Specified by:
    `createRendering` in interface `RenderableImage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.